

import ProSW.*;

public class PrimEst extends Collezione {
	
	private /*@ spec_public @*/ boolean prevedeCostumi;
	
	/*@	assignable prevedeCostumi;
	   	ensures prevedeCostumi == cost;
	    signals_only EccezionePrecondizioni;
	 @*/
	public PrimEst(int cod, String tema, int anno, boolean cost, Stilista s) throws EccezionePrecondizioni {
		super(cod,tema,anno,s);
		setPresenzaCostumi(cost);
	}
	
	public /*@  pure  @*/ boolean getPresenzaCostumi(){ return prevedeCostumi; }
	
	/*@  assignable prevedeCostumi;
		 ensures prevedeCostumi == c;	 
	 @*/
	public void setPresenzaCostumi(boolean c) { prevedeCostumi=c; }
} //:~