package ProSW.InsiemeArray;

import java.util.*;

class IteratorInsiemeArray implements Iterator { 
// nota non e' pubblica, cioe` ne impediamo l'uso diretto da parte
// dei clienti (che quindi possono usare solo l'interfaccia Iterator)

  private InsiemeArray insiemeArray;
  private int indice;
  
  public IteratorInsiemeArray(InsiemeArray ia) {
    insiemeArray = ia;
    indice = 0;
  }
  
  // Realizzazione funzioni di Itarator
  public boolean hasNext() {
    return indice < insiemeArray.cardinalita;
  }
    
  public Object next() {
    Object e = insiemeArray.array[indice];
    indice++;
    return e;
  }

  public void remove() {
    throw new UnsupportedOperationException("remove() non e' supportata");
  }
}
