

import ProSW.*;
import java.util.*;

public class Main {
	// Non gestiamo alcuna eccezione (e' solo un test!)
	public static void main(String args[]) throws EccezionePrecondizioni {
		Stilista valentino = new Stilista("Valentino", 30);
		
		AutInv inv = new AutInv (1, "tema", 1983, true, valentino);
		System.out.println("Collezione inv: \n" + inv);
		
		Collezione c1 = new PrimEst(1, "tema...", 2006, true, valentino);
		
		Sfilata s1 = new Sfilata("Roma, piazza di Spagna", new Data(5, 3, 2006), new Data(7, 3, 2006));
		s1.inserisciLinkPresentata(c1);
		
		Stilista dg = new Stilista("Dolce&Gabbana", 20);
		PretAPorter c2 = new PretAPorter(2, "tema...", 2006, true, dg, "tempo libero");
		
		s1.inserisciLinkPresentata(c2);
		
		Azienda a1 = new Azienda("ModaExchange", "sede...", "p. iva", 8000000);
		c2.inserisciLinkAcquista(a1, 300);
		
		
		
		System.out.println("Collezione c1: \n" + c1);

		System.out.println("a1 e' un'azienda medio-grande? " + a1.isMedioGrande());
		
	}
}